Hooks:PostHook( WeaponFactoryTweakData, "init", "VHS2ModInit", function(self)	
	
	--Forbid compatibility
	table.insert(self.parts.wpn_fps_ass_vhs_body.forbids, "wpn_fps_ass_vhs_ub_nade")
	
	--Adjustment for other optic
	self.parts.wpn_fps_ass_vhs_o_adjust_future.stance_mod = {
		wpn_fps_ass_vhs = {
			translation = Vector3(0, 2.75, -2.75)
		}
	}
	self.parts.wpn_fps_ass_vhs_o_adjust_future.forbids = nil
	--Ironsight stance for future body
	self.parts.wpn_fps_ass_vhs_irons_future.stance_mod = {
		wpn_fps_ass_vhs = {
			translation = Vector3(0, 0, -2)
		}
	}
	self.parts.wpn_fps_ass_vhs_irons_future.forbids = nil
	
	self.parts.wpn_fps_ass_vhs_m_lsw.override_weapon_add = { CLIP_AMMO_MAX = 15 }
	
	local standard_vhs = {        
		"wpn_fps_ass_vhs_fg_future"
    }
    for i, part_id in ipairs(standard_vhs) do
        if not self.parts[part_id].override then
            self.parts[part_id].override = {}
        end
		if BeardLib.Utils:FindMod("Leupold DeltaPoint Sight on RM55 Mount") then
			self.parts[part_id].override.wpn_fps_upg_o_delta_rm55 = {stance_mod = {wpn_fps_ass_vhs = {
                translation = Vector3(-2.65, -2.75, -5.95),
                rotation = Rotation(0, 0, -45)
            }}}
		end
        self.parts[part_id].override.wpn_fps_upg_o_45rds = {stance_mod = {wpn_fps_ass_vhs = {
                translation = Vector3(-2.65, -2.75, -5.95),
                rotation = Rotation(0, 0, -45)
            }}}
        self.parts[part_id].override.wpn_fps_upg_o_45rds_v2 = {stance_mod = {wpn_fps_ass_vhs = {
                translation = Vector3(-2.65, -2.75, -5.95),
                rotation = Rotation(0, 0, -45)
            }}}
    end
	
	
	--[[==========================================================================================================================================================================]]
	
	
	-- Underbarrel anim and related adjustment
	if BeardLib.Utils:FindMod("WeaponLib") then
		self.parts.wpn_fps_ass_vhs_ub_nade.override_weapon = {
			use_stance = "vhs_gl",
			weapon_hold = "contraband",			
			--animations = { reload_name_id = "galil" }
		}
	else
		self.parts.wpn_fps_ass_vhs_ub_nade.weapon_hold_override = { bm_w_vhs = "contraband", bm_w_vhs_m203 = "contraband" }
		self.parts.wpn_fps_ass_vhs_ub_nade.weapon_stance_override = { bm_w_vhs = "vhs_gl", bm_w_vhs_m203 = "vhs_gl" }
		self.parts.wpn_fps_ass_vhs_ub_nade.weapon_reload_override = { bm_w_vhs_m203 = "contraband" }
	end
	
	local underbarrels_vhs = {        
		"wpn_fps_ass_vhs_ub_nade"
    }
    for i, part_id in ipairs(underbarrels_vhs) do
        if not self.parts[part_id].override then
            self.parts[part_id].override = {}
        end
		if BeardLib.Utils:FindMod("Leupold DeltaPoint Sight on RM55 Mount") then
			self.parts[part_id].override.wpn_fps_upg_o_delta_rm55 = {stance_mod = {wpn_fps_ass_vhs = {
                translation = Vector3(-1.9, -10, -6.5),
                rotation = Rotation(0, 0, -45)
            }}}
		end
        self.parts[part_id].override.wpn_fps_upg_o_45rds = {stance_mod = {wpn_fps_ass_vhs = {
                translation = Vector3(-1.9, -10, -6.5),
                rotation = Rotation(0, 0, -45)
            }}}
        self.parts[part_id].override.wpn_fps_upg_o_45rds_v2 = {stance_mod = {wpn_fps_ass_vhs = {
                translation = Vector3(-1.9, -10, -6.5),
                rotation = Rotation(0, 0, -45)
            }}}
    end
	
end )